/**
  *  \file planetscentral/host/talk.h
  *  \brief Interface to Forum
  */
#ifndef C2SERVER_PLANETSCENTRAL_HOST_TALK_H
#define C2SERVER_PLANETSCENTRAL_HOST_TALK_H

#include "cpluslib/string.h"

class Game;

void talkHandleGameStart(Game& g, string_t gameType);
void talkHandleGameEnd(Game& g, string_t gameType);
void talkHandleGameNameChange(Game& g, string_t newName);
void talkHandleGameTypeChange(Game& g, string_t gameState, string_t gameType);

#endif
